Bug 961325 - Second Ctrl-C should just quit realm tool
Second Ctrl-C should just quit realm tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: realmd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 959458
  Show dependency treegraph
 
Reported: 2013-05-09 08:23 EDT by Stef Walter
Modified: 2013-05-26 23:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: realmd-0.14.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-26 23:24:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 64538 None None None Never

  None (edit)
Description Stef Walter 2013-05-09 08:23:59 EDT
When pressing Ctrl-C, the realm command tries to cancel the current operation. If the realmd service has hung, we should just quit when receiving the second Ctrl-C.

realm join blah.com
^CCancelling...
^C
^C
^C
^C
^C

realmd 0.14.0
Comment 1 Fedora Update System 2013-05-13 13:49:02 EDT
realmd-0.14.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/realmd-0.14.1-1.fc19
Comment 2 Fedora Update System 2013-05-13 23:46:51 EDT
Package realmd-0.14.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing realmd-0.14.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8135/realmd-0.14.1-1.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-05-26 23:24:24 EDT
realmd-0.14.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.